Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api
Class LifecycleManager

    java.lang.Object
      com.google.appengine.api.LifecycleManager

    public final class LifecycleManager

extends java.lang.Object

Information about the current status of the Java Runtime.

Nested Class Summary
`static interface` | `LifecycleManager.ShutdownHook`

Method Summary
`void` | `beginShutdown(long deadline)` For testing purposes only: Notifies the LifecycleManager that the runtime is shutting down.
`static LifecycleManager` | `getInstance()`
`long` | `getRemainingShutdownTime()` If the runtime is shutting down, returns how long, in milliseconds, is left for shutdown code to clean up.
`void` | `interruptAllRequests()` Calls Thread.interrupt() on all threads running requests for this application.
`boolean` | `isShuttingDown()`
`void` | `setShutdownHook(LifecycleManager.ShutdownHook hook)` Register a ShutdownHook to be called when the runtime shuts down.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static LifecycleManager getInstance()

### isShuttingDown

    public boolean isShuttingDown()

### setShutdownHook

    public void setShutdownHook(LifecycleManager.ShutdownHook hook)

  Register a ShutdownHook to be called when the runtime shuts down.

### interruptAllRequests

    public void interruptAllRequests()

  Calls Thread.interrupt() on all threads running requests for this application.

### getRemainingShutdownTime

    public long getRemainingShutdownTime()

  If the runtime is shutting down, returns how long, in milliseconds, is left for shutdown code to clean up. Otherwise, returns -1.

### beginShutdown

    public void beginShutdown(long deadline)

  For testing purposes only: Notifies the LifecycleManager that the runtime is shutting down.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD